Searched refs:SHELL (Results 1 - 25 of 113) sorted by relevance

12345

/illumos-gate/usr/src/lib/libshell/common/tests/
H A Dsun_solaris_cr_6778077_sigthaw_trap.sh62 ${SHELL} -o errexit -c 'trap "true" SIGTHAW ; true' || err_exit "SIGTHAW not supported."
63 ${SHELL} -o errexit -c 'trap "true" THAW ; true' || err_exit "THAW not supported."
64 ${SHELL} -o errexit -c 'trap "true" 35 ; true' || err_exit "signal 35 not supported."
69 ${SHELL} -o errexit -c 'trap "true" SIGFREEZE ; true' || err_exit "SIGFREEZE not supported."
70 ${SHELL} -o errexit -c 'trap "true" FREEZE ; true' || err_exit "FREEZE not supported."
71 ${SHELL} -o errexit -c 'trap "true" 34 ; true' || err_exit "signal 34 not supported."
76 str="$( ${SHELL} -c "trap true $i ; print 'ok'" 2>&1 )" || err_exit "shell returned code $? for trap $i"
H A Dsun_solaris_cr_6713682_compound_var_bleeds_through_subshell.sh70 var1="$(${SHELL} -c 'unset l ; ( l=( a=1 b="BE" ) ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
71 var2="$(${SHELL} -c 'unset l ; ( ulimit -c 0 ; l=( a=1 b="BE" ) ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
75 var1="$(${SHELL} -c '( l=( a=1 b="BE" ) ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
76 var2="$(${SHELL} -c '( ulimit -c 0 ; l=( a=1 b="BE" ) ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
80 var1="$(${SHELL} -c 'unset l ; ( compound l ; l.a=1 ; l.b="BE" ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
81 var2="$(${SHELL} -c 'unset l ; ( ulimit -c 0 ; compound l ; l.a=1 ; l.b="BE" ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
85 var1="$(${SHELL} -c '( compound l ; l.a=1 ; l.b="BE" ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
86 var2="$(${SHELL} -c '( ulimit -c 0 ; compound l ; l.a=1 ; l.b="BE" ; print "$l" ) ; print $l')" || err_exit "Non-zero exit code."
90 var1="$(${SHELL} -c 'unset l ; ( l=( a=1 b="BE" ) ; printf "%B\n" l ) ; printf "%B\n" l')" || err_exit "Non-zero exit code."
91 var2="$(${SHELL}
[all...]
H A Dsun_solaris_cr_6754020_weird_square_bracket_expansion.sh64 s="$(${SHELL} -c 'echo F[[O]')"
67 s="$(${SHELL} -c 'echo F[[[O]]')"
72 s="$(${SHELL} -c 'print F[[O]')"
75 s="$(${SHELL} -c 'print F[[[O]]')"
H A Dsun_solaris_cr_6753538_subshell_leaks_umask.sh59 x=$(${SHELL} -c 'umask 22; (umask 0); umask')
62 x=$(${SHELL} -c 'umask 20; (umask 0); umask')
65 x=$(${SHELL} -c 'umask 0; (umask 22); umask')
72 x=$(${SHELL} -c 'umask 22; ( (umask 10); umask 0); umask')
75 x=$(${SHELL} -c 'umask 20; ( (umask 10); umask 0); umask')
78 x=$(${SHELL} -c 'umask 0; ( (umask 10); umask 22); umask')
86 x=$(${SHELL} -c 'umask 22; ( umask 0); umask') || err_exit "shell failed."
87 y=$(${SHELL} -c 'umask 22; (ulimit -c 0 ; umask 0); umask') || err_exit "shell failed."
90 x=$(${SHELL} -c 'umask 20; ( umask 0); umask') || err_exit "shell failed."
91 y=$(${SHELL}
[all...]
H A Dsun_solaris_cr_6848486_echo_test_with_test_undefined_executes_test_builtin.sh75 $SHELL -c 'unset test ; print ${test} ; exit 78' >/dev/null 2>&1
81 out=$($SHELL -o errexit -c 'unset test ; print ${test} ; print "#mark"' 2>&1 ) || err_exit "Shell returned error code $?, expected 0."
88 out=$($SHELL -o errexit -c 'print ${sleep} ; print "#mark"' 2>&1 ) || err_exit "Shell returned error code $?, expected 0."
H A Drestricted.sh36 case $SHELL in
38 */*) SHELL=$pwd/$SHELL;;
39 *) SHELL=$(whence "$SHELL");;
48 [[ $SHELL != /* ]] && SHELL=$pwd/$SHELL
50 ln -s $SHELL rksh
56 check_restricted 'SHELL
[all...]
H A Dexit.sh36 base=$(basename $SHELL)
37 cd ${SHELL%/$base}
50 SHELL=$ABSSHELL \
74 if [[ $($SHELL ./run.sh) != 123 ]]
78 $SHELL -c 'builtin -f cmd getconf; getconf --"?-version"; exit 0' >/dev/null 2>&1 || err_exit 'ksh plugin exit failed -- was ksh built with CCFLAGS+=$(CC.EXPORT.DYNAMIC)?'
H A Dsigchld.sh32 s=$($SHELL -c '
50 $SHELL -c : > /dev/null # foreground does not generate SIGCHLD
71 got=$($SHELL -c '
87 got=$($SHELL -c '
114 got=$( ( sleep 1;print $'\n') | $SHELL -c 'function handler { : ;}
121 $SHELL -xc $'
H A Dsun_solaris_cr_6835835_builtin_cat_n_broken.sh98 expected_output=$( ${SHELL} -c 'for ((i=1 ; i <= 12 ; i++ )) ; do printf "%6d\t\n" i ; done' )
118 out="$( ${SHELL} -o errexit -c "${tc.cmd}" )" || err_exit "${tc.name}: Shell failed"
121 out="$( ${SHELL} +o errexit -c "${tc.cmd}" )" || err_exit "${tc.name}: Shell failed"
132 <( ${SHELL} -c 'yes "" | head -5 | cat -n' ) \
H A Doptions.sh39 if [[ $( ${SHELL-ksh} -s hello<<-\!
43 then err_exit "${SHELL-ksh} -s not working"
53 [[ $($SHELL -D -c 'print hi; print $"hello"') == '"hello"' ]] || err_exit 'ksh -D not working'
63 got=$($SHELL -E -c : 2>/dev/null)
69 got=$($SHELL -E -c : 2>&1 >/dev/null)
80 [[ $(print env_hit | $SHELL 2>&1) == "OK" ]] &&
82 [[ $(print env_hit | $SHELL -E 2>&1) == "OK" ]] &&
84 [[ $(print env_hit | $SHELL +E 2>&1) == "OK" ]] &&
86 [[ $(print env_hit | $SHELL --rc 2>&1) == "OK" ]] &&
88 [[ $(print env_hit | $SHELL
[all...]
H A Dheredoc.sh79 $SHELL -c "
103 $SHELL -c '
121 $SHELL "$f" > /dev/null || err_exit "large here-doc with command substitution fails"
127 $SHELL -c 'x=$(
135 if x=$($SHELL -c 'cat <<< "hello world"' 2> /dev/null)
137 x=$($SHELL -c 'v="hello world";cat <<< $v' 2> /dev/null)
139 x=$($SHELL -c 'v="hello world";cat <<< "$v"' 2> /dev/null)
176 if [[ $($SHELL "$f") != abc ]]
209 if [[ $($SHELL "$f") != foobar ]]
213 [[ $($SHELL "
[all...]
H A Dsun_solaris_command_substitution.sh99 ${SHELL} -o errexit -c "${currtst.cmd}" >"${tmpfile}.out" &
164 testout=${ printf "%B\n" testbody | sed 's/<CS>/$(/g;s/<CE>/)/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
168 testout=${ printf "%B\n" testbody | sed 's/<CS>/${ /g;s/<CE>/ ; }/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
172 testout=${ printf "%B\n" testbody | sed 's/<CS>/$( ulimit -c 0 ; /g;s/<CE>/)/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
176 testout=${ printf "%B\n" testbody | sed 's/<CS>/$( ( /g;s/<CE>/) )/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
180 testout=${ printf "%B\n" testbody | sed 's/<CS>/${ ( /g;s/<CE>/) ; }/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
208 testout=${ printf "%B\n" testbody | sed 's/<CS>/$(/g;s/<CE>/)/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
212 testout=${ printf "%B\n" testbody | sed 's/<CS>/${ /g;s/<CE>/ ; }/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
216 testout=${ printf "%B\n" testbody | sed 's/<CS>/$( ulimit -c 0 ; /g;s/<CE>/)/g' | ${SHELL} 2>&1 || err_exit "command returned exit code $?" }
220 testout=${ printf "%B\n" testbody | sed 's/<CS>/$( ( /g;s/<CE>/) )/g' | ${SHELL}
[all...]
H A Dcase.sh55 if [[ $($SHELL -c '
64 [[ $($SHELL -c 'case a in
68 [[ $(VMDEBUG=1 $SHELL -c '
H A Dsun_solaris_cr_6807179_shellpattern_uses_getpwnam.sh68 truss -u :: -o "${tmpfile}" ${SHELL} -c '[[ ${hello} == ~(Elr)wo.*ld ]] ; true' || err_exit "truss returned failure=$?"
74 truss -u :: -o "${tmpfile}" ${SHELL} -c '[[ ${hello} == ~(Si)wo*ld ]] ; true' || err_exit "truss returned failure=$?"
82 truss -u :: -o "${tmpfile}" ${SHELL} -c '[[ ${hello} == ~root/ ]] ; true' || err_exit "truss returned failure=$?"
H A Dsun_solaris_compound_nameref.sh78 ) | ${SHELL}
105 ) | out=$( ${SHELL} ) || err_exit "shell returned exit code $?"
130 ) | out=$( ${SHELL} ) || err_exit "shell returned exit code $?"
158 ) | out=$( ${SHELL} ) || err_exit "shell returned exit code $?"
181 ) | out=$( ${SHELL} ) || err_exit "shell returned exit code $?"
209 ) | out=$( ${SHELL} ) || err_exit "shell returned exit code $?"
H A Dbasic.sh61 [[ $SHELL != /* ]] && SHELL=$pwd/$SHELL
119 #! $SHELL
228 x=$(cat <<\! | $SHELL
234 then err_exit "$SHELL not working when standard input is a pipe"
244 if [[ $($SHELL $tmp/script <&-) != done ]]
254 if [[ $($SHELL $tmp/script) != good ]]
262 if [[ $($SHELL $tmp/script <<!
319 [[ $($SHELL
[all...]
H A Dsun_solaris_cr_6777491_lacks_arithmetric_function_iszero.sh89 str="$( $SHELL -o errexit -c "${tests[i]}" 2>&1 )" || err_exit "test $i: returned non-zero exit code $?"
H A Dsun_solaris_cr_6881017_background_process_in_subshell_hangs_caller.sh72 $SHELL -c '( sleep 10 </dev/null >/dev/null 2>&1 & ) ; exit 0' | cat >/dev/null
H A Dsubshell.sh108 do $SHELL -c '
122 do $SHELL -c '
170 do for TEST_shell in "eval" "$SHELL -c"
172 then err_exit "${TEST_shell/*-c/\$SHELL -c} ${TEST_unset:+unset }${TEST_fork:+fork }$txt print failed"
176 err_exit "${TEST_shell/*-c/\$SHELL -c} ${TEST_unset:+unset }${TEST_fork:+fork }$txt command substitution failed -- expected $EXP, got $GOT"
183 r=$( ($SHELL -c '
210 r=$($SHELL -c '
227 $SHELL -c '( autoload xxxxx);print -n' || err_exit 'autoloaded functions in subshells can cause failure'
228 foo=$($SHELL <<- ++EOF++
235 $SHELL
[all...]
H A Dbracket.sh173 if [[ -u $SHELL ]]
174 then err_exit "setuid on $SHELL"
176 if [[ -g $SHELL ]]
177 then err_exit "setgid on $SHELL"
232 $SHELL -c 't=1234567890; [[ $t == @({10}(\d)) ]]' 2> /dev/null || err_exit ' @({10}(\d)) pattern not working'
233 $SHELL -c '[[ att_ == ~(E)(att|cus)_.* ]]' 2> /dev/null || err_exit ' ~(E)(att|cus)_* pattern not working'
234 $SHELL -c '[[ att_ =~ (att|cus)_.* ]]' 2> /dev/null || err_exit ' =~ ere not working'
235 $SHELL -c '[[ abc =~ a(b)c ]]' 2> /dev/null || err_exit '[[ abc =~ a(b)c ]] fails'
236 $SHELL -xc '[[ abc =~ \babc\b ]]' 2> /dev/null || err_exit '[[ abc =~ \babc\b ]] fails'
240 e=$($SHELL
[all...]
H A Dbuiltins.sh135 $SHELL -c 'read x <<< hello' 2> /dev/null || err_exit 'syntax <<< not recognized'
136 ($SHELL -c 'read x[1] <<< hello') 2> /dev/null || err_exit 'read x[1] not working'
184 $SHELL -c "cd $tmp/a/b; cd c" 2>/dev/null || err_exit "initial script relative cd fails"
194 [[ $($SHELL -c 'trap "print ok" SIGTERM; kill -s SIGTERM $$' 2> /dev/null) == ok ]] || err_exit 'SIGTERM not recognized'
195 [[ $($SHELL -c 'trap "print ok" sigterm; kill -s sigterm $$' 2> /dev/null) == ok ]] || err_exit 'SIGTERM not recognized'
196 [[ $($SHELL -c '( trap "" TERM);kill $$;print bad' == bad) ]] 2> /dev/null && err_exit 'trap ignored in subshell causes it to be ignored by parent'
197 ${SHELL} -c 'kill -1 -$$' 2> /dev/null
199 ${SHELL} -c 'kill -1 -$$' 2> /dev/null
201 ${SHELL} -c 'kill -s HUP -$$' 2> /dev/null
249 #FIXME#($SHELL rea
[all...]
H A Dsun_solaris_cr_6722134_background_CHLD_trap.sh59 s="$($SHELL -c '
92 s="$($SHELL -c '
H A Dpath.sh73 [[ $($SHELL -c 'print -r -- "$PATH"') == "$PATH" ]] || err_exit 'export PATH lost in subshell'
88 [[ $($SHELL ./bug1 2>/dev/null) == ok ]] || err_exit "PATH in function not working"
101 ($SHELL ./bug1) 2> /dev/null || err_exit "path_delete bug"
103 if $SHELL tdir > /dev/null 2>&1
108 if [[ $($SHELL ls 2> /dev/null) != hi ]]
109 then err_exit "$SHELL name not executing version in current directory"
169 got=$($SHELL -c "unset FPATH; PATH=/dev/null; $cmd" 2>&1)
171 got=$($SHELL -c "unset FPATH; PATH=/dev/null; $cmd" 2>&1)
182 got=$($SHELL -c "unset FPATH; PATH=/dev/null; whence ./notfound" 2>&1)
184 got=$($SHELL
[all...]
H A Dsun_solaris_cr_6687139_command_substitution_exec_redirection_allocation_loop.sh82 nice -n 10 ${SHELL} -c 'touch z ; $(exec nosuchprogram_for_cr_6687139 > z) ; rm z' 2>/dev/null &
116 nice -n 10 ${SHELL} -c 'touch z ; $(ulimit -c 0 ; exec nosuchprogram_for_cr_6687139 > z) ; rm z' 2>/dev/null &
149 nice -n 10 ${SHELL} -c 'touch z ; (exec nosuchprogram_for_cr_6687139 > z) ; rm z' 2>/dev/null &
183 nice -n 10 ${SHELL} -c 'touch z ; (ulimit -c 0 ; exec nosuchprogram_for_cr_6687139 > z) ; rm z' 2>/dev/null &
/illumos-gate/usr/src/cmd/mailx/hdr/
H A Dusg.local.h69 # define SHELL "/bin/sh" /* Standard shell */ macro
71 # define SHELL "/usr/bin/sh" /* Standard shell */ macro

Completed in 70 milliseconds

12345